edu.isi.pegasus.planner.transfer.mapper.impl

## Class Flat

- java.lang.Object
- - edu.isi.pegasus.planner.transfer.mapper.impl.AbstractFileFactoryBasedMapper
  - - edu.isi.pegasus.planner.transfer.mapper.impl.Flat

All Implemented Interfaces:
  OutputMapper

    public class Flat
    extends AbstractFileFactoryBasedMapper

Maps the output files to a flat directory on the output site.

Author:
  Karan Vahi

### Field Summary

Fields
`private static java.lang.String` `DESCRIPTION` Short description.
`static java.lang.String` `SHORT_NAME` The short name for the mapper

### Fields inherited from class edu.isi.pegasus.planner.transfer.mapper.impl.AbstractFileFactoryBasedMapper

`mFactory, mLogger, mOutputSite, mSiteStore, mStageoutDirectory`

### Fields inherited from interface edu.isi.pegasus.planner.transfer.mapper.OutputMapper

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Flat()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `createAndGetAddOn(java.lang.String lfn, java.lang.String site, boolean existing)` Returns the addOn part that is retrieved from the File Factory.
`java.lang.String` `description()` Returns a short description of the mapper.
`java.lang.String` `getShortName()` Returns the short name for the implementation class.
`void` `initialize(PegasusBag bag, ADag workflow)` Initializes the mappers.
`org.griphyn.vdl.euryale.FileFactory` `instantiateFileFactory(PegasusBag bag, ADag workflow)` Instantiates a Flat File Factory and returns it.

### Methods inherited from class edu.isi.pegasus.planner.transfer.mapper.impl.AbstractFileFactoryBasedMapper

`complainForStorageFileServer, constructURL, getErrorMessagePrefix, lookupStorageDirectory, map, map, mapAll`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SHORT_NAME

    public static final java.lang.String SHORT_NAME

The short name for the mapper

See Also:
  Constant Field Values

#### DESCRIPTION

    private static final java.lang.String DESCRIPTION

Short description.

See Also:
  Constant Field Values

### Constructor Detail

#### Flat

    public Flat()

The default constructor.

### Method Detail

#### initialize

    public void initialize(PegasusBag bag,
                           ADag workflow)
                    throws MapperException

Initializes the mappers.

Specified by:
  `initialize` in interface `OutputMapper`
Overrides:
  `initialize` in class `AbstractFileFactoryBasedMapper`
Parameters:
  `bag` - the bag of objects that is useful for initialization.
  `workflow` - the workflow refined so far.
Throws:
  `MapperException` - if unable to construct URL for any reason

#### instantiateFileFactory

    public org.griphyn.vdl.euryale.FileFactory instantiateFileFactory(PegasusBag bag,
                                                                      ADag workflow)

Instantiates a Flat File Factory and returns it.

Specified by:
  `instantiateFileFactory` in class `AbstractFileFactoryBasedMapper`
Parameters:
  `bag` - the bag of objects that is useful for initialization.
  `workflow` - the workflow refined so far.
Returns:
  the handle to the File Factory to use

#### createAndGetAddOn

    public java.lang.String createAndGetAddOn(java.lang.String lfn,
                                              java.lang.String site,
                                              boolean existing)

Returns the addOn part that is retrieved from the File Factory. It creates a new file in the factory for the LFN and returns it.

Specified by:
  `createAndGetAddOn` in class `AbstractFileFactoryBasedMapper`
Parameters:
  `lfn` - the LFN to be used
  `site` - the site at which the LFN resides
  `existing` - indicates whether to create a new location/placement for a file, or rely on existing placement on the site.
Returns:

#### description

    public java.lang.String description()

Returns a short description of the mapper.

Returns:

#### getShortName

    public java.lang.String getShortName()

Returns the short name for the implementation class.

Specified by:
  `getShortName` in class `AbstractFileFactoryBasedMapper`
Returns: